Bug 508640 - wpa_supplicant installed and enabled on non-wifi machines
wpa_supplicant installed and enabled on non-wifi machines
Product: Fedora
Classification: Fedora
Component: wpa_supplicant (Show other bugs)
All Linux
low Severity medium
: ---
: ---
Assigned To: Dan Williams
Fedora Extras Quality Assurance
Depends On:
  Show dependency treegraph
Reported: 2009-06-29 05:41 EDT by Mohammed Arafa
Modified: 2009-11-29 17:18 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2009-11-29 17:18:55 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Mohammed Arafa 2009-06-29 05:41:30 EDT
Description of problem:
wpa_supplicant installed and enabled on non-wifi machines like my desktop machine

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
Actual results:

Expected results:

Additional info:
Comment 1 James 2009-09-13 16:25:12 EDT
I believe wpa_supplicant is also used to do 802.1x on wired ethernet. It's a core part of the NetworkManager set-up, and it's very unlikely that it will be removed, or even that it can be removed in a consistent manner.
Comment 2 Dan Williams 2009-11-29 17:18:55 EST
Correct, it will most likely always be installed, if only so that when you insert a wifi card or use an 802.1x-enabled network, you can do that without having to download and install additional packages.  Same reason all the wifi drivers are installed by the kernel package even though you may not (yet) have any wifi devices.

The supplicant should not be turned *on* by default.  If, on a *fresh* install, it's turned on at all in the following command:

chkconfig --list | grep wpa

then we should re-open this bug and ensure that the supplicant init service isn't on-by-default.

Note You need to log in before you can comment on or make changes to this bug.